Update waypoint
POST
/api/v1/waypoint/{id}
const url = 'https://example.com/api/v1/waypoint/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","lat":1,"lon":1,"distance_from_start":1,"icon":"example","photos":["example"],"photos-":"example","photos+":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/waypoint/example \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "lat": 1, "lon": 1, "distance_from_start": 1, "icon": "example", "photos": [ "example" ], "photos-": "example", "photos+": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
string
description
string
lat
number
lon
number
distance_from_start
number
icon
string
photos
Array<string>
photos-
Remove photo by name
string
photos+
Add photo by name
string
Example generated
{ "name": "example", "description": "example", "lat": 1, "lon": 1, "distance_from_start": 1, "icon": "example", "photos": [ "example" ], "photos-": "example", "photos+": "example"}Responses
Section titled “ Responses ”Waypoint updated
Media type application/json
object
id
required
Waypoint ID (15 chars)
string
name
string
description
string
lat
required
number
lon
required
number
distance_from_start
Distance from trail start in meters
number
icon
Icon identifier
string
author
required
Author user ID (15 chars)
string
photos
Array<string>
trail
Trail ID (15 chars)
string
created
string format: date-time
updated
string format: date-time
Example generated
{ "id": "example", "name": "example", "description": "example", "lat": 1, "lon": 1, "distance_from_start": 1, "icon": "example", "author": "example", "photos": [ "example" ], "trail": "example", "created": "2026-04-15T12:00:00Z", "updated": "2026-04-15T12:00:00Z"}Bad Request
Not Found
Internal Server Error